# rust-sct.spec
# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate sct

Name:           rust-%{crate}
Version:        0.7.0
Release:        1%{?dist}.5
Summary:        Certificate transparency SCT verification library

# Upstream license specification: Apache-2.0/ISC/MIT
License:        ASL 2.0 or ISC or MIT
URL:            https://crates.io/crates/sct
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(ring/default) >= 0.16.20 with crate(ring/default) < 0.17.0~)
BuildRequires:  (crate(untrusted/default) >= 0.7.0 with crate(untrusted/default) < 0.8.0~)

%global _description %{expand:
Certificate transparency SCT verification library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-APACHE LICENSE-ISC LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 0.7.0-1
- Initial package
